View Issue Details

IDProjectCategoryView StatusLast Update
0001839Ham Radio DeluxeBugpublic2017-05-21 23:59
Reporteruser47 
Assigned ToW4PC 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.3.0.472 
Summary0001839: Logbook crash if select cancel on multiple country selection
DescriptionIf you have Multiple lookup sources, QRZ and country list ..
And they don't agree on the country for a station, then a messagebox appears to select the correct country.

If the cancel button or x to close the messagebox is selected, then this causes a MFC error.

Confirmed the error on 453 on a fresh install.

If the ALE option to show error on no country found is switched OFF then the crash does not happen.
Steps To ReproduceSelect a station from the DX Cluster that has conflicting country information,

today's examples are ZL90IARU HF0WFF

Additional Informationsee attached file..
TagsNo tags attached.
ModuleLogbook
Sub-ModuleALE Window
Testing

Relationships

Activities

user47

2015-12-10 05:54

 

country conflict crash.docx (214,077 bytes)

W4PC

2015-12-10 11:06

updater   ~0000686

IDCANCEL not parsed

user47

2015-12-18 06:01

  ~0000710

confirmed fixed

Issue History

Date Modified Username Field Change
2015-12-10 05:54 user47 New Issue
2015-12-10 05:54 user47 File Added: country conflict crash.docx
2015-12-10 11:06 W4PC Fixed in Release TBD => 6.3
2015-12-10 11:06 W4PC Fixed in Build (ie. 377) => 455
2015-12-10 11:06 W4PC Note Added: 0000686
2015-12-10 11:06 W4PC Status new => resolved
2015-12-10 11:06 W4PC Resolution open => fixed
2015-12-10 11:06 W4PC Assigned To => W4PC
2015-12-18 06:01 user47 Note Added: 0000710
2015-12-18 06:01 user47 Status resolved => closed
2017-03-08 19:02 WA9PIE Project 2 - Next Dev List (Holding Area) => Ham Radio Deluxe
2017-05-21 23:58 WA9PIE Fixed in Version => 6.3.0.472
2017-05-21 23:59 WA9PIE Fixed in Build (ie. 377) 455 =>